#pragma once
#include <iostream>

namespace Morault {
	namespace Utils {
		namespace Geometry {
			struct Vertex2D {
				float x, y;
			};
			struct Triangle2D {
				float a, b, c;
			};
			using VertexString = std::basic_string<Vertex2D>;
			
			std::basic_string<Triangle2D> TesselateVertexString(VertexString vs);
		}
		namespace Strings {
			bool IterativeComp(std::string originalString, int startPointer, std::string toCompare);
			std::string IterativeStringExcerpt(std::string originalString, int startPointer, int length);
			int32_t StringIndexToInteger_4b_le(std::string originalString, int startPointer);
			int32_t StringIndexToInteger_2b_le(std::string originalString, int startPointer);
			std::tuple<std::string, std::string> ParseCLineIntoKeyVal(std::string originalString);
			std::string SingleWordTrimmer(std::string originalString);
		}
	}
}